## org.exist.validation.internal
Class ResourceThread

    java.lang.Object
      java.lang.Thread
          org.exist.validation.internal.ResourceThread

All Implemented Interfaces:
  java.lang.Runnable

public class ResourceThread
extends java.lang.Thread

Write XML resource to outputstream in thread.

Author:
  wessels

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ResourceThread(BrokerPool pool, XmldbURI docUri, java.io.OutputStream os)` Creates a new instance of ResourceThread

Method Summary
`void` `run()` Start Thread.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceThread

    public ResourceThread(BrokerPool pool,
                          XmldbURI docUri,
                          java.io.OutputStream os)

  Creates a new instance of ResourceThread

Method Detail

### run

    public void run()

  Start Thread.

Copyright (C) Wolfgang Meier. All rights reserved.